Bug 18663 - [CAIRO] missing stroke-support for text
Summary: [CAIRO] missing stroke-support for text
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: Cairo
Depends on:
Blocks:
 
Reported: 2008-04-21 11:24 PDT by Dirk Schulze
Modified: 2008-06-08 13:34 PDT (History)
0 users

See Also:


Attachments
Add text-stroke (1.45 KB, patch)
2008-04-21 14:07 PDT, Dirk Schulze
eric: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Schulze 2008-04-21 11:24:09 PDT
There is no stroke-support for texts in cairo yet.
Comment 1 Dirk Schulze 2008-04-21 14:07:05 PDT
Created attachment 20740 [details]
Add text-stroke

Added text-stroke to Cairo.
Comment 2 Eric Seidel (no email) 2008-05-01 19:36:33 PDT
Comment on attachment 20740 [details]
Add text-stroke

This looks fine.  It's missing support for complex strokes though.  But as a "first pass" this is fine.
Comment 3 Darin Adler 2008-06-08 13:34:24 PDT
Committed revision 34453.